## gst-plugins-base0.10 0.10.36

=== debian/changelog ===
gst-plugins-base0.10 (0.10.36-1.1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS in windows_icon_typefind
    - debian/patches/CVE-2016-9811.patch: add bounds check in
      gst/typefind/gsttypefindfunctions.c.
    - CVE-2016-9811
  * SECURITY UPDATE: DoS in gst_riff_create_audio_caps
    - debian/patches/CVE-2017-5837.patch: check for valid channels/rate in
      gst-libs/gst/riff/riff-media.c.
    - CVE-2017-5837
  * SECURITY UPDATE: DoS in gst_riff_create_audio_caps
    - debian/patches/CVE-2017-5844.patch: fix divide by zero in
      gst-libs/gst/riff/riff-media.c.
    - CVE-2017-5844

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Mar 2017 13:35:36 -0400

gst-plugins-base0.10 (0.10.36-1.1ubuntu2) trusty; urgency=medium

  * Don't bypass libtoolize when calling dh-autoreconf; and drop 
    debian/patches/99_ltmain_as-needed.patch, we no longer need to patch
    ltmain.sh.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Dec 2013 00:54:25 -0800

gst-plugins-base0.10 (0.10.36-1.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/git_timestamps_discard_issue.patch: "don't discard
      timestamps when consecutive input buffers have the same ts", should
      fix playback pausing on mp3 to ogg transitions in rhythmbox.
  * Dropped changes:
    - debian/patches/git_ringbuffer_resets.patch: Done with
      debian/patches/98_fix-ogg-flac-transition.patch in Debian.
  * debian/patches/git_timestamps_discard_issue.patch: Refresh.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 10 Dec 2012 15:33:26 -0500

gst-plugins-base0.10 (0.10.36-1.1) unstable; urgency=low

  * Non-maintainer upload.
    + debian/patches/98_fix-ogg-flac-transition.patch:
      - Fixes ogg->flac transition hangs (Closes: #668109)
        Taken from upstream git.

 -- Christoph Reiter <reiter.christoph@gmail.com>  Tue, 04 Dec 2012 11:07:40 +0100

gst-plugins-base0.10 (0.10.36-1ubuntu2) raring; urgency=low

  * debian/patches/git_ringbuffer_resets.patch: Resync when ringbuffer resets,
    should fix ogg to flac transitions (lp: #1026678)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Dec 2012 19:09:24 +0100

gst-plugins-base0.10 (0.10.36-1ubuntu1) quantal; urgency=low

  * debian/patches/git_timestamps_discard_issue.patch:
    - "don't discard timestamps when consecutive input buffers have 
       the same ts", should fix playback pausing on mp3 to ogg 
       transitions in rhythmbox (lp: #921071)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2012 16:36:07 +0200

gst-plugins-base0.10 (0.10.36-1) unstable; urgency=low

  * New upstream stable release, "Better":
    + debian/libgstreamer-plugins-base.symbols:
      - Update for the stable release version.
    + debian/rules:
      - (Build-) depend on GStreamer core >= 0.10.36.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 10:40:42 +0100

gst-plugins-base0.10 (0.10.35.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Feb 2012 09:49:55 +0100

gst-plugins-base0.10 (0.10.35.2-3) experimental; urgency=low

  * debian/control.in:
    + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
      libtool (>= 2.0) to make dh-autoreconf actually work.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2011 09:48:15 +0100
