=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gst-plugins-base0.10
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer0.10-dev (>= 0.10.35.2), libasound2-dev (>= 0.9.0) [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], autotools-dev, dh-autoreconf, autopoint, cdbs (>= 0.4.93~), debhelper (>= 8.1.3~), gnome-pkg-tools (>= 0.7), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libxt-dev (>= 6.8.2.dfsg.1-3), libvorbis-dev (>= 1.0.0-2), libcdparanoia-dev (>= 3.10.2) [!hurd-i386], libgnomevfs2-dev (>= 1:2.20.0-2), liborc-0.4-dev (>= 1:0.4.11), libpango1.0-dev (>= 1.16.0), libtheora-dev (>= 1.1), libglib2.0-dev (>= 2.24), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), libvisual-0.4-dev (>= 0.4.0), gstreamer-tools (>= 0.10.30), dpkg-dev (>= 1.15.1), iso-codes, libgtk-3-dev, libglib2.0-doc, gstreamer0.10-doc, libgirepository1.0-dev (>= 0.9.12-4~), gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0, gir1.2-freedesktop, gir1.2-gstreamer-0.10, zlib1g-dev
+Build-Depends: libgstreamer0.10-dev (>= 0.10.36), libasound2-dev (>= 0.9.0) [linux-any] , libgudev-1.0-dev (>= 143) [linux-any], autotools-dev, dh-autoreconf, automake (>= 1.10), autoconf (>= 2.60), libtool (>= 2.0), autopoint (>= 0.17), cdbs (>= 0.4.93~), debhelper (>= 8.1.3~), gnome-pkg-tools (>= 0.7), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libxt-dev (>= 6.8.2.dfsg.1-3), libvorbis-dev (>= 1.0.0-2), libcdparanoia-dev (>= 3.10.2) [!hurd-i386], libgnomevfs2-dev (>= 1:2.20.0-2), liborc-0.4-dev (>= 1:0.4.11), libpango1.0-dev (>= 1.16.0), libtheora-dev (>= 1.1), libglib2.0-dev (>= 2.24), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), libvisual-0.4-dev (>= 0.4.0), gstreamer-tools (>= 0.10.30), dpkg-dev (>= 1.15.1), iso-codes, libgtk-3-dev, libglib2.0-doc, gstreamer0.10-doc, libgirepository1.0-dev (>= 0.9.12-4~), gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0, gir1.2-freedesktop, gir1.2-gstreamer-0.10, zlib1g-dev
 Build-Depends-Indep: gtk-doc-tools
 Standards-Version: 3.8.4
 Homepage: http://gstreamer.freedesktop.org
@@ -78,7 +79,7 @@
          libgstreamer-plugins-base0.10-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
          pkg-config,
-         libgstreamer0.10-dev (>= 0.10.35.2),
+         libgstreamer0.10-dev (>= 0.10.36),
          libglib2.0-dev,
          libxml2-dev,
          gir1.2-gst-plugins-base-0.10 (= ${binary:Version})
@@ -100,7 +101,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.35.2)
+         libgstreamer-plugins-base0.10-0 (>= 0.10.36)
 Recommends: alsa-base (>= 0.9.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
@@ -152,7 +153,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.35.2)
+         libgstreamer-plugins-base0.10-0 (>= 0.10.36)
 Suggests: gvfs
 Replaces: gstreamer0.10-plugins-bad (<< 0.10.3+cvs20060814-0ubuntu4)
 XB-GStreamer-Version: ${gstreamer:Version}
@@ -204,7 +205,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base0.10-0 (>= 0.10.35.2)
+         libgstreamer-plugins-base0.10-0 (>= 0.10.36)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
