=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
--include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 
 export HOME=$(CURDIR)/fake-home
 
-# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
-export LIBTOOLIZE=true
 # make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
 export AUTOPOINT=true
 
@@ -27,7 +25,7 @@
 gst_lib := libgstreamer$(gst_abi)-0
 gst_lib_dev := libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.35.2)
+gst_lib_dev_dep := $(gst_lib_dev) (>= 0.10.36)
 
 gst_pkgname := gstreamer$(gst_abi)
 gst_deb_abi := $(gst_abi)-0
